import type { EntityManager } from '@mikro-orm/core';
import { Seeder } from '@mikro-orm/seeder';

import { ContentPostFactory } from './PostFactory';

export class ContentPostSeeder extends Seeder {
    async run(em: EntityManager): Promise<void> {
        new ContentPostFactory(em).create(15);
    }
}
