/** @type {import("eslint").Linter.Config} */
module.exports = {
    extends: [
        // airbnb规范
        // https://www.npmjs.com/package/eslint-config-airbnb-base
        'airbnb-base',
        // 兼容typescript的airbnb规范
        // https://github.com/iamturns/eslint-config-airbnb-typescript
        'airbnb-typescript/base',
        './base-ts',
    ],
    env: {
        node: true,
    },
    ignorePatterns: [
        // Ignore dotfiles
        'node_modules/',
        'dist/',
    ],
    overrides: [
        {
            files: ['*.js?(x)', '*.ts?(x)', '*.json'],
        },
    ],
};
